/*
 *  Author: Olivier Grardin, olivier@palmattitude.org
 *
 *  This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 * For clarity of the source, define common graphic API functions for
 * the Sony Cli APi and Palm platform API.
 */
 

#ifndef _COMMON_GRAPHICS_H
#define _COMMON_GRAPHICS_H

#define CommonWinDrawRectangle(rP, cornerDiam) \
	  (VNC_screenMode == modeSonyHires) ? \
			HRWinDrawRectangle(sonyHiResRefNum, rP, cornerDiam) \
			: WinDrawRectangle(rP, cornerDiam)
		
#define CommonWinDrawPixel(x, y) \
	  (VNC_screenMode == modeSonyHires) ? \
			HRWinDrawPixel(sonyHiResRefNum, x, y) \
			: WinDrawPixel(x, y)

#define CommonWinCreateOffscreenWindow(width, height, format, error) \
	  (VNC_screenMode == modeSonyHires) ? \
			HRWinCreateOffscreenWindow(sonyHiResRefNum, width, height, format, error) \
			: WinCreateOffscreenWindow(width, height, format, error) \

#define CommonWinCopyRectangle(srcWin, dstWin, srcRect, destX, destY, mode) \
	  (VNC_screenMode == modeSonyHires) ? \
			HRWinCopyRectangle(sonyHiResRefNum, srcWin, dstWin, srcRect, destX, destY, mode) \
			: WinCopyRectangle(srcWin, dstWin, srcRect, destX, destY, mode)

#endif