/*
 * KeyMapList.h
 *
 * header file forKeyMapList.c
 *
 * Copyright (c) 2003 George Styles
 * All rights reserved.
 */
 
#ifndef KEYMAP_LIST_H_
#define KEYMAP_LIST_H_

#include <Event.h>
#include <SysEvent.h>
#include <NotifyMgr.h>

/*********************************************************************
 * Public Constants
 *********************************************************************/

#define KEYMAP_DB_NAME "PalmVNCKeymaps"
#define KEYMAP_DB_TYPE 'Kmap'
#define MAX_MEMORY_KEYMAP_COUNT 20


/*********************************************************************
 * Public Types
 *********************************************************************/
typedef struct _KeyDownEventType KeyCodeType;


typedef struct {
	// new in version 200
    UInt16 index;			// Database index for this currentServer
//	Char name[32];
	KeyCodeType keyCode;
	Char action[32];
} KeyMapDbItem;

/*********************************************************************
 * Public Variables
 *********************************************************************/
extern DmOpenRef keyMapDbRef;

/*********************************************************************
 * Public Functions
 *********************************************************************/
extern void DoKeyMapList();
extern DmOpenRef KeyMapOpenDatabase();
extern void KeyMapCloseDatabase(DmOpenRef db);
//extern char * GetKeyCodeMapAction(KeyCodeType aCode);
extern Bool RunKeyMapAction(KeyCodeType aCode);

#endif
