/*
 * MacroList.h
 *
 * header file for MacroList.c
 *
 * Copyright (c) 2003 Olivier Grardin
 * All rights reserved.
 */
 
#ifndef MACRO_LIST_H_
#define MACRO_LIST_H_


/*********************************************************************
 * Public Constants
 *********************************************************************/
//#define MACROS_DB_VERSION 200
#define MACROS_DB_NAME "PalmVNCMacros"
#define MACROS_DB_TYPE 'Macr'


/*********************************************************************
 * Public Types
 *********************************************************************/
typedef struct {
	// new in version 200
  UInt16 index;			// Database index for this currentServer
	Char name[32];
	Char shortcut;
	Boolean shift;
	Boolean ctrl;
	Boolean alt;
	Char text[32];
} MacrosDbItem;

/*********************************************************************
 * Public Variables
 *********************************************************************/
extern DmOpenRef macrosDbRef;
extern MacrosDbItem currentMacro;

/*********************************************************************
 * Public Functions
 *********************************************************************/
extern void DoMacroList();
extern DmOpenRef MacroOpenDatabase();
extern void MacroCloseDatabase(DmOpenRef db);


#endif
