/*
 * ServerSelect.h
 *
 * header file for ServerSelect.c
 *
 * Copyright (c) 2003 Olivier Grardin
 * All rights reserved.
 */
 
#ifndef SERVER_SELECT_H_
#define SERVER_SELECT_H_

/*********************************************************************
 * Public Constants
 *********************************************************************/
#define SERVERS_DB_VERSION 		200
#define SERVERS_DB_NAME "PalmVNCDB"
#define SERVERS_DB_TYPE 'Data'

/*********************************************************************
 * Public Types
 *********************************************************************/
typedef struct {
	// added in DB version 140
  UInt16 index;			// Database index for this currentServer
  char name[32];		// VNC currentServer display name
  char address[32];		// VNC currentServer address (IP, or DNS name)
  short obsolete /*port*/;			// VNC port number 
  char password[32];		// VNC password
  unsigned short beginX;	// initial coordinate X on the desktop
  unsigned short beginY;
  unsigned short scaleFactor; // Default scale factor
  Boolean sharedDesktop;	// share desktop with other viewer?
  char loginNameNT[32];		// user name used to login into a NT VNC
  char passwNT[32];		// a password for that
  // added in DB version 200
  short basePort;	// the base port (normally 5900)
  short displayNumber;   // the display number, usally 0 or 1
} ServersDbItem;

typedef struct {
  UInt16 databaseVersion;	// Version of the database (for future compatibility)
  UInt16 lastServer;		// last currentServer accessed
} ServersDbHeader;

/*********************************************************************
 * Public variables
 *********************************************************************/
extern DmOpenRef serversDbRef;
extern ServersDbHeader serversDbInfo;

/*********************************************************************
 * Public Functions
 *********************************************************************/
extern Boolean DoServerSelect();
extern DmOpenRef OpenDatabase(ServersDbHeader* serversDbInfo);
extern void CloseDatabase(DmOpenRef db, ServersDbHeader* serversDbInfo);



#endif
