/*
 * Util.h
 *
 * Misc utility functions for the PalmOS
 *
 *  Copyright (C) 2002 Olivier Grardin (olivier@palmattitude.org)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,
 *  USA.
 *
 */

#ifndef _UTIL_H
#define _UTIL_H

extern void SetCheckboxSelected(FormType *frmP, UInt16 checkboxID, Boolean selected);
extern Boolean IsCheckboxSelected(FormType *frmP, UInt16 checkboxID);
extern void *GetObjectPtr(FormType * frmP, UInt16 objectID);
extern void ControlSetLabel(FormType *frmP, UInt16 ctlID, Char *label);
extern void FieldSetText(FormType *frmP, UInt16 fieldID, Char *text);
extern void FieldSetTextWithSelection(FormType *frmP, UInt16 fieldID, Char *text,
	UInt16 start, UInt16 end);
extern void FieldSetEditable(FormType *frmP, UInt16 fieldID, Boolean editable);
extern void CustomDateRenderer (void *table,
	Int16 row, Int16 column, RectangleType *bounds);
extern void CustomStringRenderer (void *table,
	Int16 row, Int16 column, RectangleType *bounds);
extern void CustomIconRenderer (void *table,
	Int16 row, Int16 column, RectangleType *bounds);
extern void SizeForm(FormPtr frmP);

#endif