/*
 * sockets.h
 *
 * header file for sockets.c
 *
 * Copyright (c) 2003 Olivier Grardin
 * All rights reserved.
 */
 
#ifndef SOCKETS_H_
#define SOCKETS_H_

#include <PalmOS.h>

/*********************************************************************
 * Public Types
 *********************************************************************/

/*********************************************************************
 * Public Constants
 *********************************************************************/

/*********************************************************************
 * Public Functions
 *********************************************************************/
// Set default timeout
#define SelectNetTimeout (sysTicksPerSecond / 10) /* Used for Select */
#define ConnectNetTimeout (sysTicksPerSecond * 10) /* Used for ConnectTcpAddr */
#define ReadNetTimeout (sysTicksPerSecond * 30) /* Used for ReadExact */

extern Bool errorMessageFromReadExact;
extern void PrintSentRecvStat (void);
extern Bool ReadExact (int sock, unsigned char *buf, int n);
extern Bool WriteExact (int sock, unsigned char *buf, int n);
extern int ConnectToTcpAddr (unsigned long host, int port);
extern int StringToIPAddr (char *str, unsigned long *addr);

#endif



